////////////////////////////////////////////////////////
// filename: CVector.h
// author: Chafumi Touji
// version: 1.0.0
// date: 2020/03/05
////////////////////////////////////////////////////////

#ifndef __CVECTOR_H__
#define __CVECTOR_H__

#define VECTOR_BLOCK_SIZE	100

class CVector{
public:

	void *Data;
	void *ReturnData;
	int ArraySize;
	int PushPos;
	int DataSize;

public:
	CVector();
	CVector(int data_size);
	~CVector();
	bool Push( void *data );
	void *Pop();
	void *GetData(int num);
	void Clear();
};

#endif